Core resources
Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsBooking flow
Query availabilitySearch availabilityBookiduuidorganization_iduuidproduct_iduuid | nullcreated_attimestamp with time zoneupdated_attimestamp with time zonecolor_backgroundtextcolor_primarytextcolor_texttextfonttext | nullftstsvectorlanguagetextshow_brandingbooleantitletextJSON
{
"id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-03-12T07:01:32.997Z",
"updated_at": "2026-03-12T07:01:32.997Z",
"color_background": "#fff",
"color_primary": "#067f54",
"color_text": "#000",
"font": "",
"language": "en-US",
"show_branding": true,
"title": ""
}idFilter<uuid>organization_idFilter<uuid>product_idFilter<uuid | null>created_atFilter<timestamp with time zone>updated_atFilter<timestamp with time zone>color_backgroundFilter<text>color_primaryFilter<text>color_textFilter<text>fontFilter<text | null>ftsFilter<tsvector>languageFilter<text>show_brandingFilter<boolean>titleFilter<text>200A list of pricing widgets with the selected columns
206Partial Content
GET /pricing_widgetscurl -X GET "https://api.bookingmood.com/v1/pricing_widgets?select=*" \
-H "Authorization: Bearer YOUR_API_KEY"Partial<PricingWidget> | Array<Partial<PricingWidget>>201The newly created pricing widgets with the selected columns
POST /pricing_widgetscurl -X POST "https://api.bookingmood.com/v1/pricing_widgets" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '[]'idFilter<uuid>organization_idFilter<uuid>product_idFilter<uuid | null>created_atFilter<timestamp with time zone>updated_atFilter<timestamp with time zone>color_backgroundFilter<text>color_primaryFilter<text>color_textFilter<text>fontFilter<text | null>ftsFilter<tsvector>languageFilter<text>show_brandingFilter<boolean>titleFilter<text>204The deleted pricing widgets with the selected columns
DELETE /pricing_widgetscurl -X DELETE "https://api.bookingmood.com/v1/pricing_widgets" \
-H "Authorization: Bearer YOUR_API_KEY"idFilter<uuid>organization_idFilter<uuid>product_idFilter<uuid | null>created_atFilter<timestamp with time zone>updated_atFilter<timestamp with time zone>color_backgroundFilter<text>color_primaryFilter<text>color_textFilter<text>fontFilter<text | null>ftsFilter<tsvector>languageFilter<text>show_brandingFilter<boolean>titleFilter<text>Partial<PricingWidget>204The updated pricing widgets with the selected columns
PATCH /pricing_widgetscurl -X PATCH "https://api.bookingmood.com/v1/pricing_widgets" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{}'